<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="host.server-config.ssl.loopback" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="ssl-protocol,trust-manager-algorithm,truststore-password,truststore-path,truststore-type"/>
        <elem name="addr-params" value="host,server-config,ssl"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="host.server-config"/>
    </annotation>
    <refs>
        <ref feature="host.server-config"/>
        <ref feature="host"/>
    </refs>
    <params>
        <param name="truststore-password" nillable="true" stability="default"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="truststore-path" nillable="true" stability="default"/>
        <param name="trust-manager-algorithm" nillable="true" stability="default"/>
        <param name="server-config" feature-id="true"/>
        <param name="ssl" feature-id="true" default="loopback"/>
        <param name="truststore-type" nillable="true" stability="default"/>
        <param name="ssl-protocol" nillable="true" stability="default"/>
    </params>
</feature-spec>